{% extends "district/base.html" %}
{% load static wagtailcore_tags wagtailimages_tags %}

{% block subheader %}
  {% image page.image fill-1920x500-c75 jpegquality-80 as bg_img %}
  <header class="hero hero--image pt-16 pb-24 lg:pt-32 pb-24" style="--image-url: url({{ bg_img.full_url }})">
    <div class="container container--default text-center lg:text-left">
      {% comment %} Page index for screens up to md {% endcomment %}
      {% if page.index %}
        <div class="text-center relative mb-4 lg:hidden">
          <span class="rounded-full inline-flex items-center justify-center bg-grey-125 font-bold text-center text-4xl md:text-5xl w-20 h-20 md:w-24 md:h-24 border-white border-8 text-black">{{ page.index }}</span>
        </div>
      {% endif %}

      <h2 class="head-xs text-shadow-lg max-w-xl mb-2 mx-auto lg:mx-0">
        <a href="{% pageurl page.get_parent %}">{{ page.get_parent.title }}</a>
      </h2>

      <h1 class="head-alt-lg md:head-alt-xl text-shadow-lg max-w-2xl mx-auto lg:mx-0">
        {{ page.title }}
      </h1>
    </div>
  </header>
{% endblock %}

{% block container_spacing %}py-8 lg:pb-16{% endblock %}

{% block content %}
  <article>
    <link itemprop="mainEntityOfPage" href="{{ page.url }}">
    <meta itemprop="datePublished" content="{{ page.last_published_at }}">
    <meta itemprop="dateModified" content="{{ page.latest_revision_created_at }}">

    <div class="flex flex-col lg:flex-row lg:space-x-8 xl:space-x-16">
      <section class="lg:w-3/5 xl:w-2/3 space-y-8" itemprop="description">
        <div class="content-block w-full">
          <p>
            <strong>{{ page.perex }}</strong>
          </p>
        </div>

        {% for block in page.content %}
          {% include_block block with block_id=block.id %}
        {% endfor %}

        {% if parts|length > 1 %}
          <div>
            {% if page.parts_section_title %}<h2 class="head-alt-base mb-4">{{ page.parts_section_title }}</h2>{% endif %}
            <div class="space-y-4">
              {% for part in parts %}
                {% if part.title and part.description %}
                <div>
                  <h3 class="head-allcaps-3xs">{{ part.title }}</h3>
                  <div class="content-block"><p>{{ part.description }}</p></div>
                </div>
                {% endif %}
              {% endfor %}
            </div>
          </div>
        {% endif %}
      </section>

      <section class="lg:w-2/5 xl:w-1/3 pt-8 lg:pt-0 candidate-detail__sidebar">
        <div class="space-y-8">
          <div class="lg:card lg:elevation-10">
            <div class="lg:card__body">

              {% comment %} Page index for screens bigger than md {% endcomment %}
              {% if page.index %}
                <div class="text-center mb-8 h-40 -mt-28 hidden lg:block">
                  <span class="rounded-full inline-flex items-center justify-center bg-grey-125 font-bold text-center text-7xl w-40 h-40 border-white border-8">{{ page.index }}</span>
                </div>
              {% endif %}

              <hr />

              <h2 class="head-heavy-xs mb-2">Za tohle ručí</h2>
              <div itemprop="author" itemtype="http://schema.org/Person" itemscope="">
                <meta itemprop="name" content="{{ page.guarantor }}">
                {% include "shared/person_badge_snippet.html" with person_page=page.guarantor %}
              </div>

              <hr />

              <div
                class="v-geo-feature-collection"
                data-height="250px"
                data-display-zoom-control="false"
                data-display-legend="false"
                data-display-popups="false"
                data-handle-clicks="false"
                data-initial-zoom="{{ page.initial_zoom }}"
                data-tile-server-config="{{ js_map.tile_server_config }}"
                data-tile-style="{{ js_map.style }}"
                data-categories="{{ js_map.categories }}"
                data-geojson="{{ js_map.geojson }}"
              ></div>

              <a href="{% pageurl page.get_parent %}" class="block md:inline-block text-sm mt-4 btn btn--fullwidth btn--grey-125 btn--icon btn--hoveractive">
                <div class="btn__body-wrap">
                  <div class="btn__body">Zobrazit celou mapu</div>
                  <div class="btn__icon"><i class="ico--map"></i></div>
                </div>
              </a>

              <hr />

              <div class="space-y-4">
                {% for category, features in features_by_category %}
                  <div class="js-feature-collection" style="border-right: 4px #{{ category.hex_color }} solid;">
                    <div class="flex items-center space-x-2" >
                      <h2 class="head-allcaps-4xs cursor-pointer js-feature-collection-toggle" data-target="{{ category.pk }}-items">{{ category.name }} ({{ features|length }})</h2>
                    </div>
                    <ul id="{{ category.pk }}-items" class="leading-normal text-sm js-feature-collection-items {% if page not in features %}hidden{% endif %}">
                      {% for feature in features %}
                      <li class="pr-2">
                        {% if feature.pk == page.pk %}
                          <span v-if="feature.index" class="rounded-full inline-flex items-center justify-center bg-grey-125 font-bold text-center text-2xs w-4 h-4 mr-1 no-underline">{{ feature.index }}</span>
                          <span class="font-bold">{{ feature.title }}</span>
                        {% else %}
                          <a v-if="feature.index" href="{% pageurl feature %}" class="rounded-full inline-flex items-center justify-center bg-grey-125 font-bold text-center text-2xs w-4 h-4 mr-1 no-underline">{{ feature.index }}</a>
                          <a href="{% pageurl feature %}" class="underline">{{ feature.title }}</a>
                        {% endif%}
                      </li>
                      {% endfor %}
                    </ul>
                  </div>
                {% endfor %}
              </div>

            </div>
          </div>

          <div class="sharebox md:card md:elevation-10 ">
            <div class="md:card__body">
              <span class="head-alt-base md:head-alt-md">Sdílení je aktem lásky</span>
              <div class="flex w-full space-x-4 pt-4 md:pt-8 text-center text-white">
                <a
                  href="https://www.facebook.com/sharer/sharer.php?u={{ page.full_url|urlencode }}"
                  onclick="window.open(this.href, 'pop-up', 'left=20,top=20,width=500,height=500,toolbar=1,resizable=0'); return false;"
                  class="bg-brands-facebook px-8 py-3 text-2xl w-full hover:no-underline"
                ><i class="ico--facebook"></i></a>
                <a
                  href="https://twitter.com/intent/tweet?text={{ page.title|urlencode }}&url={{ page.full_url|urlencode }}"
                  onclick="window.open(this.href, 'pop-up', 'left=20,top=20,width=500,height=500,toolbar=1,resizable=0'); return false;"
                  class="bg-brands-twitter px-8 py-3 text-2xl w-full hover:no-underline"
                ><i class="ico--twitter"></i></a>
              </div>
            </div>
            <div class="h-52 overflow-hidden hidden md:block">
              <img src="{% static "shared/img/flag.png" %}" alt="Pirátská strana" class="w-80 object-cover m-auto"/>
            </div>
          </div>
        </div>
      </div>

    </section>
  </article>
{% endblock %}

{% block scripts %}
  <script>
    document.querySelectorAll(".js-feature-collection-toggle").forEach((el) => {
      const target = document.getElementById(el.dataset.target);
      el.addEventListener("click", () => {
        target.classList.toggle("hidden");
      });

    })
  </script
{% endblock %}
